Package: org.codehaus.groovy.reflection

## [Java] Class CachedClass

- org.codehaus.groovy.reflection.CachedClass

- Authors:
    Alex.Tkachman

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `static class` | `CachedClass.CachedMethodComparatorByName` |
    `static class` | `CachedClass.CachedMethodComparatorWithString` |

  - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static CachedClass[]` | `EMPTY_ARRAY` |
    `ClassInfo` | `classInfo` |
    `boolean` | `isArray` |
    `boolean` | `isInterface` |
    `boolean` | `isNumber` |
    `boolean` | `isPrimitive` |
    `int` | `modifiers` |
    `CachedMethod[]` | `mopMethods` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `CachedClass (Class klazz, ClassInfo classInfo)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `addNewMopMethods(List<MetaMethod> arr)`
    `` | `Object` | `coerceArgument(Object argument)`
    `` | `CachedClass` | `getCachedClass()` compatibility method
    `` | `CachedClass` | `getCachedSuperClass()`
    `` | `CallSiteClassLoader` | `getCallSiteLoader()`
    `` | `CachedConstructor[]` | `getConstructors()`
    `` | `Set<CachedClass>` | `getDeclaredInterfaces()`
    `` | `CachedField[]` | `getFields()`
    `` | `Collection<ClassInfo>` | `getHierarchy()`
    `` | `Set<CachedClass>` | `getInterfaces()`
    `` | `CachedMethod[]` | `getMethods()`
    `` | `int` | `getModifiers()`
    `` | `String` | `getName()`
    `` | `MetaMethod[]` | `getNewMetaMethods()`
    `` | `int` | `getSuperClassDistance()`
    `` | `Class` | `getTheClass()`
    `` | `String` | `getTypeDescription()`
    `` | `int` | `hashCode()`
    `` | `boolean` | `isAssignableFrom(Class argument)`
    `` | `boolean` | `isDirectlyAssignable(Object argument)`
    `` | `boolean` | `isInterface()`
    `` | `boolean` | `isPrimitive()`
    `` | `boolean` | `isVoid()`
    `` | `CachedMethod` | `searchMethods(String name, CachedClass[] parameterTypes)`
    `` | `void` | `setNewMopMethods(List<MetaMethod> arr)`
    `` | `String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Field Detail

    - #### public static final CachedClass[] EMPTY_ARRAY

    - #### public ClassInfo classInfo

    - #### public final boolean isArray

    - #### public final boolean isInterface

    - #### public final boolean isNumber

    - #### public final boolean isPrimitive

    - #### public final int modifiers

    - #### public CachedMethod[] mopMethods

  - ### Constructor Detail

    - #### public CachedClass(Class klazz, ClassInfo classInfo)

  - ### Method Detail

    - #### public void addNewMopMethods(List<MetaMethod> arr)

    - #### public Object coerceArgument(Object argument)

    - #### public CachedClass getCachedClass()

      compatibility method

      Returns:
        this

    - #### public CachedClass getCachedSuperClass()

    - #### public CallSiteClassLoader getCallSiteLoader()

    - #### public CachedConstructor[] getConstructors()

    - #### public Set<CachedClass> getDeclaredInterfaces()

    - #### public CachedField[] getFields()

    - #### public Collection<ClassInfo> getHierarchy()

    - #### public Set<CachedClass> getInterfaces()

    - #### public CachedMethod[] getMethods()

    - #### public int getModifiers()

    - #### public String getName()

    - #### public MetaMethod[] getNewMetaMethods()

    - #### public int getSuperClassDistance()

    - #### public final Class getTheClass()

    - #### public String getTypeDescription()

    - #### public int hashCode()

    - #### public boolean isAssignableFrom(Class argument)

    - #### public boolean isDirectlyAssignable(Object argument)

    - #### public boolean isInterface()

    - #### public boolean isPrimitive()

    - #### public boolean isVoid()

    - #### public CachedMethod searchMethods(String name, CachedClass[] parameterTypes)

    - #### public void setNewMopMethods(List<MetaMethod> arr)

    - #### public String toString()